<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.invalidation-cache.store.hotrod.write.behind">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="modification-queue-size,thread-pool-size,flush-lock-timeout,shutdown-timeout"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,invalidation-cache,store,write"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.invalidation-cache.store.hotrod"/>
        <ref feature="subsystem.infinispan.cache-container.invalidation-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="invalidation-cache" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="shutdown-timeout" nillable="true"/>
        <param name="store" feature-id="true" default="hotrod"/>
        <param name="write" feature-id="true" default="behind"/>
        <param name="modification-queue-size" nillable="true"/>
        <param name="thread-pool-size" nillable="true"/>
        <param name="flush-lock-timeout" nillable="true"/>
    </params>
</feature-spec>